mirego/accent 软件分析报告

基础信息

项目名称:mirego/accent

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1744516936868864000/1744516936915001344

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
libxslt 访问控制错误漏洞 MPS-2019-3924 CVE-2019-11068 严重
libxslt 输入验证错误漏洞 使用不兼容类型访问资源(类型混淆) MPS-2019-7315 CVE-2019-13118 中危
Nokogiri 命令操作系统命令注入漏洞 OS命令注入 MPS-2019-9952 CVE-2019-5477 严重
libxml2 安全漏洞 不可达退出条件的循环(无限循环) MPS-2020-1025 CVE-2020-7595 高危
libxml2 安全漏洞 内存泄漏 MPS-2020-1029 CVE-2019-20388 高危
libxml2 缓冲区错误漏洞 越界读取 MPS-2020-15346 CVE-2020-24977 中危
Nokogiri 代码问题漏洞 XXE MPS-2020-18058 CVE-2020-26247 中危
Nokogiri 代码问题漏洞 XXE MPS-2021-31867 CVE-2021-41098 高危
libxml2 代码问题漏洞 空指针取消引用 MPS-2021-6363 CVE-2021-3537 中危
libxml2 资源管理错误漏洞 UAF MPS-2021-6791 CVE-2021-3518 高危
libxml2 缓冲区错误漏洞 越界写入 MPS-2021-6889 CVE-2021-3517 高危
libxml2 输入验证错误漏洞 XML实体扩展 MPS-2021-9463 CVE-2021-3541 中危
nokogiri 存在未经控制的内存分配漏洞 未经控制的内存分配 MPS-2022-15290 高危
libxml2 资源管理错误漏洞 UAF MPS-2022-1744 CVE-2022-23308 高危
Nokogiri 安全漏洞 ReDoS MPS-2022-3803 CVE-2022-24836 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
Nokogiri 安全漏洞 非预期数据类型处理不恰当 MPS-2022-8582 CVE-2022-29181 高危
word-wrap 安全漏洞 ReDoS MPS-2023-5109 CVE-2023-26115 高危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
nokogiri 1.8.5 1.13.6 间接依赖 建议修复
word-wrap 1.2.3 1.2.4 间接依赖 建议修复
semver 6.3.0 7.5.2 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 275
ISC 32
BSD-3-Clause 6
Python-2.0 1
LGPL-3.0 1
0BSD 1
BSD-2-Clause 6
Apache-2.0 12
ODC-By-1.0 1
CC0-1.0 1
自定义许可证 1
CC-BY-4.0 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
@glimmer/env 0.1.7 间接依赖 npm
simple-html-tokenizer 0.5.11 间接依赖 npm
minimatch 3.1.2 间接依赖 npm
is-core-module 2.11.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
object-is 1.1.5 间接依赖 npm
semver 6.3.0 间接依赖 npm
yallist 4.0.0 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
is-bigint 1.0.4 间接依赖 npm
yargs-parser 21.1.1 间接依赖 npm
source-map 0.5.7 直接依赖 npm
optionator 0.9.1 间接依赖 npm
internal-slot 1.0.5 间接依赖 npm
flatted 3.2.5 间接依赖 npm
@types/estree 1.0.0 间接依赖 npm
path-root-regex 0.1.2 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
locate-path 7.2.0 间接依赖 npm
is-interactive 1.0.0 间接依赖 npm
path-exists 5.0.0 间接依赖 npm
jsesc 2.5.2 直接依赖 npm
minimist 1.2.8 间接依赖 npm
upath 2.0.1 间接依赖 npm
argparse 2.0.1 间接依赖 npm
commander 8.3.0 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
@eslint/eslintrc 1.2.0 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
regexp.prototype.flags 1.4.3 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
lru-cache 6.0.0 直接依赖 npm
yargs 17.7.1 间接依赖 npm
@typescript-eslint/utils 5.12.1 间接依赖 npm
globals 11.11.0 间接依赖 npm
no-case 3.0.3 间接依赖 npm
@typescript-eslint/visitor-keys 5.12.1 间接依赖 npm
at-least-node 1.0.0 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
@lint-todo/utils 13.1.0 间接依赖 npm
slash 3.0.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
typed-array-length 1.0.4 间接依赖 npm
ora 5.4.1 间接依赖 npm
mini_portile2 2.3.0 间接依赖 bundler
es-to-primitive 1.2.1 间接依赖 npm
is-boolean-object 1.1.2 间接依赖 npm
supports-preserve-symlinks-flag 1.0.0 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
@babel/helper-simple-access 7.16.7 间接依赖 npm
cliui 8.0.1 间接依赖 npm
@typescript-eslint/type-utils 5.12.1 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
mkdirp 0.5.6 间接依赖 npm
validate-peer-dependencies 1.2.0 间接依赖 npm
ember-cli-version-checker 5.1.2 间接依赖 npm
fs-extra 9.1.0 间接依赖 npm
color-name 1.1.3 间接依赖 npm
eslint-plugin-es 3.0.0 间接依赖 npm
@handlebars/parser 2.0.0 间接依赖 npm
broccoli-funnel 2.0.2 间接依赖 npm
requireindex 1.2.0 间接依赖 npm
find-up 6.3.0 间接依赖 npm
eslint-plugin-sonarjs 0.12.0 直接依赖 npm
lodash.kebabcase 4.1.1 间接依赖 npm
lodash.merge 4.6.2 间接依赖 npm
date-fns 2.29.3 间接依赖 npm
universalify 2.0.0 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
eslint-config-prettier 8.4.0 直接依赖 npm
signal-exit 3.0.7 间接依赖 npm
tslib 1.14.1 间接依赖 npm
is-unicode-supported 0.1.0 间接依赖 npm
p-locate 6.0.0 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
node-releases 2.0.2 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
@babel/compat-data 7.17.0 间接依赖 npm
get-symbol-description 1.0.0 间接依赖 npm
which 2.0.2 间接依赖 npm
text-table 0.2.0 间接依赖 npm
@babel/helper-environment-visitor 7.16.7 间接依赖 npm
path-key 3.1.1 间接依赖 npm
username-sync 1.0.3 间接依赖 npm
graceful-fs 4.2.10 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
prelude-ls 1.2.1 间接依赖 npm
is-arguments 1.1.1 间接依赖 npm
convert-source-map 1.8.0 间接依赖 npm
object-inspect 1.12.3 间接依赖 npm
resolve-package-path 3.1.0 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
eslint-formatter-kakoune 1.0.0 间接依赖 npm
matcher-collection 1.1.2 间接依赖 npm
colors 1.4.0 间接依赖 npm
walk-sync 1.1.4 间接依赖 npm
string_decoder 1.3.0 间接依赖 npm
has-proto 1.0.1 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
inflight 1.0.6 间接依赖 npm
callsites 3.1.0 间接依赖 npm
@glimmer/util 0.83.1 间接依赖 npm
has 1.0.3 间接依赖 npm
array-union 2.1.0 直接依赖 npm
available-typed-arrays 1.0.5 间接依赖 npm
escalade 3.1.1 间接依赖 npm
js-yaml 4.1.0 间接依赖 npm
lodash 4.17.21 间接依赖 npm
file-entry-cache 6.0.1 间接依赖 npm
hash-for-dep 1.5.1 间接依赖 npm
@types/json-schema 7.0.9 间接依赖 npm
babel-import-util 0.2.0 间接依赖 npm
@babel/helper-validator-option 7.16.7 间接依赖 npm
@glimmer/global-context 0.83.1 间接依赖 npm
ajv 6.12.6 间接依赖 npm
is-number 7.0.0 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
is-date-object 1.0.5 间接依赖 npm
sourcemap-codec 1.4.8 间接依赖 npm
picomatch 2.3.1 间接依赖 npm
ember-cli-babel-plugin-helpers 1.1.1 间接依赖 npm
esrecurse 4.3.0 直接依赖 npm
json5 2.2.3 间接依赖 npm
async-disk-cache 1.3.5 间接依赖 npm
ember-template-lint 5.2.0 直接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
flat-cache 3.0.4 间接依赖 npm
acorn 8.7.0 间接依赖 npm
onetime 5.1.2 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
micromatch 4.0.5 间接依赖 npm
ember-rfc176-data 0.3.17 间接依赖 npm
wcwidth 1.0.1 间接依赖 npm
electron-to-chromium 1.4.73 间接依赖 npm
istextorbinary 2.1.0 间接依赖 npm
which-typed-array 1.1.9 间接依赖 npm
is-weakmap 2.0.1 间接依赖 npm
@typescript-eslint/typescript-estree 5.12.1 间接依赖 npm
define-properties 1.2.0 间接依赖 npm
string-width 4.2.3 间接依赖 npm
array-equal 1.0.0 间接依赖 npm
is-string 1.0.7 间接依赖 npm
typescript 4.7.4 直接依赖 npm
es-set-tostringtag 2.0.1 间接依赖 npm
fast-ordered-set 1.0.3 间接依赖 npm
is-weakref 1.0.2 间接依赖 npm
jsonfile 6.1.0 间接依赖 npm
@babel/helper-compilation-targets 7.16.7 间接依赖 npm
underscore.string 3.3.6 间接依赖 npm
@jridgewell/sourcemap-codec 1.4.11 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
get-stdin 9.0.0 间接依赖 npm
@ember-data/rfc395-data 0.0.4 间接依赖 npm
browserslist 4.19.3 间接依赖 npm
side-channel 1.0.4 间接依赖 npm
language-subtag-registry 0.3.22 间接依赖 npm
is-typed-array 1.1.10 间接依赖 npm
sync-disk-cache 1.3.4 间接依赖 npm
source-map-js 1.0.2 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
reusify 1.0.4 间接依赖 npm
stop-iteration-iterator 1.0.0 间接依赖 npm
esutils 2.0.2 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
readable-stream 3.6.1 间接依赖 npm
@ampproject/remapping 2.1.2 间接依赖 npm
rimraf 3.0.2 间接依赖 npm
eslint-plugin-ember 10.5.9 直接依赖 npm
functions-have-names 1.2.3 间接依赖 npm
@babel/eslint-parser 7.17.0 直接依赖 npm
supports-color 7.2.0 间接依赖 npm
@glimmer/syntax 0.83.1 间接依赖 npm
merge2 1.4.1 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
resolve 1.22.1 间接依赖 npm
word-wrap 1.2.3 间接依赖 npm
@jridgewell/trace-mapping 0.3.4 间接依赖 npm
has-symbols 1.0.3 间接依赖 npm
dot-case 3.0.3 间接依赖 npm
for-each 0.3.3 间接依赖 npm
async-promise-queue 1.0.5 间接依赖 npm
line-column 1.0.2 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
is-negative-zero 2.0.2 间接依赖 npm
tsutils 3.21.0 间接依赖 npm
p-limit 4.0.0 间接依赖 npm
@typescript-eslint/eslint-plugin 5.12.1 直接依赖 npm
eslint 8.10.0 直接依赖 npm
acorn-jsx 5.3.2 间接依赖 npm
deep-is 0.1.4 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
import-fresh 3.2.1 间接依赖 npm
@glimmer/interfaces 0.83.1 间接依赖 npm
heimdalljs-logger 0.1.10 间接依赖 npm
type-check 0.4.0 间接依赖 npm
@humanwhocodes/config-array 0.9.5 间接依赖 npm
picocolors 1.0.0 间接依赖 npm
broccoli-kitchen-sink-helpers 0.3.1 间接依赖 npm
punycode 2.1.1 间接依赖 npm
get-intrinsic 1.2.0 间接依赖 npm
parse-static-imports 1.1.0 间接依赖 npm
fs-tree-diff 0.5.9 间接依赖 npm
bl 4.1.0 间接依赖 npm
to-fast-properties 2.0.0 直接依赖 npm
@types/eslint 7.29.0 间接依赖 npm
levn 0.4.1 间接依赖 npm
chalk 2.4.2 间接依赖 npm
path-root 0.1.1 间接依赖 npm
isexe 2.0.0 间接依赖 npm
deep-equal 2.2.0 间接依赖 npm
ci-info 3.8.0 间接依赖 npm
isobject 2.1.0 间接依赖 npm
org.jetbrains.kotlinx:kotlinx-serialization-json 1.6.0 直接依赖 maven
inherits 2.0.4 间接依赖 npm
aria-query 5.1.3 间接依赖 npm
fastq 1.13.0 间接依赖 npm
safe-regex-test 1.0.0 间接依赖 npm
globalthis 1.0.3 间接依赖 npm
@jridgewell/resolve-uri 3.0.5 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
string.prototype.trimend 1.0.6 间接依赖 npm
braces 3.0.2 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
esquery 1.4.0 间接依赖 npm
is-symbol 1.0.4 间接依赖 npm
es-abstract 1.21.1 间接依赖 npm
tmp 0.2.1 间接依赖 npm
restore-cursor 3.1.0 间接依赖 npm
@typescript-eslint/scope-manager 5.12.1 间接依赖 npm
yocto-queue 1.0.0 间接依赖 npm
ember-template-recast 6.1.3 间接依赖 npm
has-bigints 1.0.2 间接依赖 npm
once 1.4.0 间接依赖 npm
@babel/helper-module-transforms 7.17.6 间接依赖 npm
@glimmer/reference 0.83.1 间接依赖 npm
@types/minimatch 3.0.5 间接依赖 npm
globby 13.1.3 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
which-collection 1.0.1 间接依赖 npm
fast-diff 1.2.0 间接依赖 npm
call-bind 1.0.2 间接依赖 npm
ember-template-imports 3.4.1 间接依赖 npm
fs-updater 1.0.4 间接依赖 npm
magic-string 0.25.9 间接依赖 npm
async 2.6.4 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
@babel/helper-hoist-variables 7.16.7 直接依赖 npm
com.google.guava:guava 32.1.1-jre 直接依赖 maven
@typescript-eslint/parser 5.12.1 直接依赖 npm
is-map 2.0.2 间接依赖 npm
broccoli-stew 3.0.0 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
@types/symlink-or-copy 1.2.0 直接依赖 npm
mdn-data 2.0.23 间接依赖 npm
com.googlecode.json-simple:json-simple 1.1.1 直接依赖 maven
type-fest 0.20.2 直接依赖 npm
rsvp 4.8.5 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
is-regex 1.1.4 间接依赖 npm
heimdalljs 0.2.6 间接依赖 npm
quick-temp 0.1.8 间接依赖 npm
ignore 5.2.0 间接依赖 npm
has-property-descriptors 1.0.0 间接依赖 npm
object.assign 4.1.4 间接依赖 npm
is-set 2.0.2 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
org.slf4j:slf4j-nop 2.0.7 直接依赖 maven
base64-js 1.5.1 间接依赖 npm
debug 4.3.4 间接依赖 npm
path-posix 1.0.0 间接依赖 npm
@simple-dom/interface 1.4.0 间接依赖 npm
log-symbols 4.1.0 间接依赖 npm
eslint-plugin-node 11.1.0 直接依赖 npm
broccoli-debug 0.6.5 间接依赖 npm
@glimmer/validator 0.83.1 间接依赖 npm
@babel/helper-module-imports 7.16.7 间接依赖 npm
symlink-or-copy 1.3.1 间接依赖 npm
has-tostringtag 1.0.0 间接依赖 npm
@babel/helper-validator-identifier 7.16.7 间接依赖 npm
gopd 1.0.1 间接依赖 npm
clone 1.0.4 间接依赖 npm
@babel/parser 7.17.3 间接依赖 npm
silent-error 1.1.1 间接依赖 npm
retry 0.12.0 间接依赖 npm
unbox-primitive 1.0.2 间接依赖 npm
espree 9.3.1 间接依赖 npm
v8-compile-cache 2.3.0 间接依赖 npm
@babel/core 7.17.5 直接依赖 npm
is-glob 4.0.3 间接依赖 npm
snake-case 3.0.3 间接依赖 npm
y18n 5.0.8 间接依赖 npm
fuse.js 6.6.2 间接依赖 npm
@humanwhocodes/object-schema 1.2.1 间接依赖 npm
@babel/helpers 7.17.2 间接依赖 npm
cli-cursor 3.1.0 间接依赖 npm
os-tmpdir 1.0.2 直接依赖 npm
is-array-buffer 3.0.1 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
regexpp 3.2.0 间接依赖 npm
fast-glob 3.2.12 间接依赖 npm
mktemp 0.4.0 间接依赖 npm
@typescript-eslint/types 5.12.1 间接依赖 npm
gensync 1.0.0-beta.2 间接依赖 npm
workerpool 6.3.1 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
broccoli-plugin 2.1.0 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
ember-template-lint-plugin-prettier 4.1.0 直接依赖 npm
prettier 2.5.1 直接依赖 npm
lower-case 2.0.1 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
run-parallel 1.2.0 间接依赖 npm
cli-spinners 2.7.0 间接依赖 npm
language-tags 1.0.8 间接依赖 npm
is-weakset 2.0.2 间接依赖 npm
buffer 5.7.1 间接依赖 npm
ms 2.1.2 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
prettier-linter-helpers 1.0.0 间接依赖 npm
string.prototype.matchall 4.0.8 间接依赖 npm
promise-map-series 0.2.3 间接依赖 npm
eslint-utils 3.0.0 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
function.prototype.name 1.1.5 间接依赖 npm
blank-object 1.0.2 间接依赖 npm
ensure-posix-path 1.1.1 间接依赖 npm
uri-js 4.4.1 间接依赖 npm
string.prototype.trimstart 1.0.6 间接依赖 npm
which-boxed-primitive 1.0.2 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
path-type 4.0.0 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
estraverse 4.2.0 间接依赖 npm
is-callable 1.2.7 间接依赖 npm
merge-trees 2.0.0 间接依赖 npm
css-tree 2.0.4 间接依赖 npm
defaults 1.0.4 间接依赖 npm
broccoli-merge-trees 3.0.2 间接依赖 npm
es-get-iterator 1.1.3 间接依赖 npm
org.languagetool:language-all 6.3 直接依赖 maven
dir-glob 3.0.1 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
nokogiri 1.8.5 间接依赖 bundler
aigu 1.2 间接依赖 bundler
eslint-plugin-mirego 1.0.0 直接依赖 npm
broccoli-persistent-filter 2.3.1 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
is-shared-array-buffer 1.0.2 间接依赖 npm
glob 7.1.3 间接依赖 npm
isarray 2.0.5 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
caniuse-lite 1.0.30001480 间接依赖 npm
proper-lockfile 4.1.2 间接依赖 npm
tree-sync 1.4.0 间接依赖 npm
is-number-object 1.0.7 间接依赖 npm
(0)
上一篇 2024年1月9日
下一篇 2024年1月9日

相关推荐

  • 00StevenG/NSDictionary-ImageMetadata 软件分析报告

    基础信息 项目名称:00StevenG/NSDictionary-ImageMetadata 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1715416106025140224/17154161060670832…

    软件分析 2023年10月23日
    0
  • entria/graphql-mongoose-loader 软件分析报告

    基础信息 项目名称:entria/graphql-mongoose-loader 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721164966752419840/1727914929358856192 此报告…

    软件分析 2023年11月24日
    0
  • danielm/uploader 软件分析报告

    基础信息 项目名称:danielm/uploader 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717030345999433728/1717030346737631232 此报告由Murphysec提供 漏…

    软件分析 2023年10月25日
    0
  • Tencent/puerts 软件分析报告

    基础信息 项目名称:Tencent/puerts 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1746747102967005184/1746747110751633408 此报告由Murphysec提供 漏洞列…

    软件分析 2024年1月15日
    0
  • joaomilho/Enterprise 软件分析报告

    基础信息 项目名称:joaomilho/Enterprise 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1719182344464236544/1719182344950775808 此报告由Murphysec…

    软件分析 2023年10月31日
    0